SmartDoc Plugin - Feature #142

Provide a way to rename a document
08/28/2010 08:25 PM - Patrick Talbot

Status: Closed Start date: 08/28/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v0.7

Browser (if web

client):

Description

Add a 'newFileName' property in the param object used in the submit() method, to allow renaming using a user supplied name.

The renaming would then happen in that order:
1/ use the newFileName property if provided,

2/ use the smartDocPlugin.renamingScheme of the Serverplugin to rename using MessageFormat if provided,

3/ use the original name

Related issues:

Related to SmartDoc Plugin - Feature #143: Provide a way to give a server pat... Closed 08/28/2010

History

#1 - 10/11/2010 11:52 PM - Patrick Talbot

- Target version set to v0.7

#2 - 10/12/2010 12:26 AM - Patrick Talbot

- Status changed from New to In Progress

#3 - 10/12/2010 12:28 AM - Patrick Talbot
- % Done changed from 0 to 80

Still need some testing on various platforms

#4 - 10/14/2010 07:24 AM - Patrick Talbot
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Parameter newName can be used at the document level (not at the parameter object level).

The renaming do now happen in that order:
1/ use the newName property if provided,

2/ use the smartDocPlugin.renamingScheme property of the server plugin to rename using MessageFormat if provided,

3/ use the original name
http://download.oracle.com/javase/1.5.0/docs/api/java/text/MessageFormat.html
http://www.tcpdf.org

